Subject: Re: [PATCH net v2 1/2] Revert "net: macsec: use skb_ensure_writable_head_tail to expand the skb"

From: Rahul Rameshbabu <[email-masked]>
Date: Tue, 23 Jan 2024 08:27:04 -0800

On Tue, 23 Jan, 2024 10:19:21 +0100 Paolo Abeni <[email-masked]> wrote:
> On Sun, 2024-01-21 at 10:32 +0100, Sabrina Dubroca wrote:
>> 2024-01-18, 11:18:06 -0800, Rahul Rameshbabu wrote:
>> > This reverts commit b34ab3527b9622ca4910df24ff5beed5aa66c6b5.
>> > 
>> > Using skb_ensure_writable_head_tail without a call to skb_unshare causes
>> > the MACsec stack to operate on the original skb rather than a copy in the
>> > macsec_encrypt path. This causes the buffer to be exceeded in space, and
>> > leads to warnings generated by skb_put operations. Opting to revert this
>> > change since skb_copy_expand is more efficient than
>> > skb_ensure_writable_head_tail followed by a call to skb_unshare.
>> 
>> Paolo, are you ok with this commit message? I agree it's a bit
>> confusing but I can't think of anything clearer :(
>
> Yes, I re-read the relevant code and now the fix is clearer to me,
> thanks!

I tried thinking of how to rephrase that description a couple of times
and could not come up with anything better.

>
> I understand the intention is to drop patch 2/2.
>
> Could you please confirm that? If so, I can apply 1/2 without a repost.

Yes, the intention is to drop patch 2/2. It's a "defensive" patch that
does not actually fix any issues from what I can tell.

--
Thanks,

Rahul Rameshbabu